POST V1/ProAdminAccountReceivables.{ext}/CreateInvoices

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.ProAdmin.Entities.ARInvoiceEntity
NameDescriptionTypeAdditional information
invoiceTempId

No description available

integer

None.

InvoiceTemplate

No description available

string

None.

FromDate

No description available

string

None.

ToDate

No description available

string

None.

InvoiceDate

No description available

string

None.

GrandTotal

No description available

string

None.

DiscountAmount

No description available

string

None.

GrandTotalAfterDisc

No description available

string

None.

Billtransidfr

No description available

string

None.

PayeeName

No description available

string

None.

PaymentTerms

No description available

string

None.

DiscType

No description available

string

None.

FileName

No description available

string

None.

ProductId

No description available

string

None.

Partner

No description available

string

None.

Client

No description available

string

None.

InvoiceNbr

No description available

string

None.

TotalAmount

No description available

string

None.

InvoiceId

No description available

integer

None.

BillingElementEntityList

No description available

Collection of EMS.ProAdmin.Entities.BillingElementEntity

None.

Request Formats

application/json, text/json

Sample:
{
  "invoiceTempId": 1,
  "invoiceTemplate": "sample string 2",
  "fromDate": "sample string 3",
  "toDate": "sample string 4",
  "invoiceDate": "sample string 5",
  "grandTotal": "sample string 6",
  "discountAmount": "sample string 7",
  "grandTotalAfterDisc": "sample string 8",
  "billtransidfr": "sample string 9",
  "payeeName": "sample string 10",
  "paymentTerms": "sample string 11",
  "discType": "sample string 12",
  "fileName": "sample string 13",
  "productId": "sample string 14",
  "partner": "sample string 15",
  "client": "sample string 16",
  "invoiceNbr": "sample string 17",
  "totalAmount": "sample string 18",
  "invoiceId": 19,
  "billingElementEntityList": [
    {
      "bE_ID": "sample string 1",
      "bE_Description": "sample string 2",
      "bE_Comments": "sample string 3",
      "quantity": 4.1,
      "rate": "sample string 5",
      "total_Amount": 6.1,
      "discount_Amount": 7.1,
      "total_Amount_After_Discount": 8.1,
      "unRate": "sample string 9",
      "bE_ESTMTAMOUNT": "sample string 10"
    },
    {
      "bE_ID": "sample string 1",
      "bE_Description": "sample string 2",
      "bE_Comments": "sample string 3",
      "quantity": 4.1,
      "rate": "sample string 5",
      "total_Amount": 6.1,
      "discount_Amount": 7.1,
      "total_Amount_After_Discount": 8.1,
      "unRate": "sample string 9",
      "bE_ESTMTAMOUNT": "sample string 10"
    }
  ]
}

application/xml, text/xml

Sample:
<ARInvoiceEntity xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.ProAdmin.Entities">
  <BillingElementEntityList>
    <BillingElementEntity>
      <BE_Comments>sample string 3</BE_Comments>
      <BE_Description>sample string 2</BE_Description>
      <BE_ESTMTAMOUNT>sample string 10</BE_ESTMTAMOUNT>
      <BE_ID>sample string 1</BE_ID>
      <Discount_Amount>7.1</Discount_Amount>
      <Quantity>4.1</Quantity>
      <Rate>sample string 5</Rate>
      <Total_Amount>6.1</Total_Amount>
      <Total_Amount_After_Discount>8.1</Total_Amount_After_Discount>
      <UnRate>sample string 9</UnRate>
    </BillingElementEntity>
    <BillingElementEntity>
      <BE_Comments>sample string 3</BE_Comments>
      <BE_Description>sample string 2</BE_Description>
      <BE_ESTMTAMOUNT>sample string 10</BE_ESTMTAMOUNT>
      <BE_ID>sample string 1</BE_ID>
      <Discount_Amount>7.1</Discount_Amount>
      <Quantity>4.1</Quantity>
      <Rate>sample string 5</Rate>
      <Total_Amount>6.1</Total_Amount>
      <Total_Amount_After_Discount>8.1</Total_Amount_After_Discount>
      <UnRate>sample string 9</UnRate>
    </BillingElementEntity>
  </BillingElementEntityList>
  <Billtransidfr>sample string 9</Billtransidfr>
  <Client>sample string 16</Client>
  <DiscType>sample string 12</DiscType>
  <DiscountAmount>sample string 7</DiscountAmount>
  <FileName>sample string 13</FileName>
  <FromDate>sample string 3</FromDate>
  <GrandTotal>sample string 6</GrandTotal>
  <GrandTotalAfterDisc>sample string 8</GrandTotalAfterDisc>
  <InvoiceDate>sample string 5</InvoiceDate>
  <InvoiceId>19</InvoiceId>
  <InvoiceNbr>sample string 17</InvoiceNbr>
  <InvoiceTemplate>sample string 2</InvoiceTemplate>
  <Partner>sample string 15</Partner>
  <PayeeName>sample string 10</PayeeName>
  <PaymentTerms>sample string 11</PaymentTerms>
  <ProductId>sample string 14</ProductId>
  <ToDate>sample string 4</ToDate>
  <TotalAmount>sample string 18</TotalAmount>
  <invoiceTempId>1</invoiceTempId>
</ARInvoiceEntity>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfSystem.Object
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

Object

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "Object",
  "response": {},
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.